Bug 80046 - Cannot compose with LANG=en_GB.UTF8 in Qt apps
Cannot compose with LANG=en_GB.UTF8 in Qt apps
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: qt (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-18 23:00 EST by John Levon
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 10:25:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Levon 2002-12-18 23:00:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Using gnome-terminal, I can type

Multi_key
,
c

and get c-cedilla just fine. But with Qt apps (including
konsole and KDE apps), I get :

,c

instead, i.e. compose is utterly non-functional.

Note I have multi_key xmodmapped to Alt-Gr.

Mode_switch works however.

Note these messages on starting Qt apps :

Qt: Locales not supported on X server

Starting gnome-terminal (from KDE) gives :

(gnome-terminal:30356): Gdk-WARNING **: locale not supported by Xlib

(gnome-terminal:30356): Gdk-WARNING **: can not set locale modifiers

but none the less, I can compose l, -> lcedilla, e' -> eacute, etc.

(gnome-terminal will not let me compose 
LATIN CAPITAL LETTER L WITH ACUTE though)

I'm using a UK pc101 keyboard, with Multi_key xmodmapped
to Alt Gr's key, and capslock coded to Mode_switch.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set /etc/sysconfig/i18n to en_GB.UTF8 (default from install for en_GB)
2. start kde
3. try to type Multi_key , c or typical variants thereof
    

Actual Results:  I get ",c" as text, i.e. no composition.

Expected Results:  I should have got &ccedilla;

Additional info:

Using LANG=en_GB, I can enter these, but can no
longer use other things like eurosign under Mode-switch-4

Using LANG=pl_PL I can enter some others like the 
LATIN L mentioned above.

This is also occurring in our Qt app, so I do not
think  it's KDE specific.
Comment 1 Ngo Than 2002-12-19 10:25:52 EST
it's fixed in qt-3.1.1, which is in rawhide.
Comment 2 John Levon 2002-12-19 12:58:05 EST
ftp.redhat.com:/pub/redhat/linux/rawhide/i386/RedHat/RPMS

only has 3.1.0 Qt. So where can I download the RPM ?

Can I upgrade this/these RPMs without breaking the rest of
RH8.0 ?

and what about "LATIN CAPITAL LETTER L WITH ACUTE" ?
Comment 3 John Levon 2002-12-19 14:38:47 EST
Note I built a clean Qt 3.1.1 from Trolltech source, and the
problem still persists in our application: I cannot compose
c,

Note You need to log in before you can comment on or make changes to this bug.